html,
body {
  height: 100%;
  background-image: linear-gradient(90deg, #000000, #001629, #000000);

  font-family: Montserrat, -apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
  /*background-color: rgb(244, 244, 244);*/
  color: #e5e5e5;
}
.separate{ padding-top: 103px; }

/* Ajustes thema */
:root {
  .btn{
    --bs-btn-padding-x: 0.75rem;
    --bs-btn-padding-y: 0.375rem;

  }
  .card{
    --bs-card-spacer-y: 1rem;
    --bs-card-spacer-x: 1rem;
  }
}
.display-5,.display-3{
  font-size: calc(1.425rem + 1vw);
}
.lead{
  font-size: 1.0rem;
}
.fs-7{
  font-size: 0.8rem;
}
.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active{
  color: #fff;
  background-color: #212529;
  transition:  0.1s ease;
}
.nav-tabs .nav-link:not(.active):hover{
  border-color: transparent;
}
.nav-tabs .nav-link.active{
  font-size: 115%;
}

.select2-container--bootstrap-5 .select2-selection{
  background-color: transparent;
}
.select2-container--bootstrap-5 .select2-selection__rendered,
.select2-container--bootstrap-5 .select2-selection__choice {
  color: #e5e5e5 !important;
}
.select2-container--bootstrap-5 .select2-selection{
  border: 1px solid rgba(255, 255, 255, 0.4);
  border-radius: var(--bs-border-radius);
  min-height: calc(1.5em + .75rem + 14px);
  padding: 0.75rem 1.5rem;
}
.select2-container--bootstrap-5 .select2-dropdown{
  border: none;
  box-shadow: inset 1px 1px rgba(255, 255, 255, 0.2), inset -1px -1px rgba(255, 255, 255, 0.1), 1px 3px 24px -1px rgba(0, 0, 0, 0.15);
  background-color: black;
  /*background-image: linear-gradient(125deg, rgba(0, 0, 0, 0.9), rgba(100, 100, 100, 0.5) 100%);
  -webkit-backdrop-filter: blur(5px);*/
  backdrop-filter: blur(5px);
  color: inherit;
}
.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option.select2-results__option--highlighted{
  background-color: #1e4c91;
  color: white;
}
.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option.select2-results__option--selected, .select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option[aria-selected=true]:not(.select2-results__option--highlighted){
    background-color: #173c72;
}
.select2-container--bootstrap-5 .select2-selection--multiple .select2-search .select2-search__field{
  color: #e5e5e5;
}
.select2-container--bootstrap-5 textarea::placeholder {
  color: #b3b9bf;
}
.select2-container--bootstrap-5 .select2-dropdown .select2-search .select2-search__field{
  background-color: transparent;
  color: inherit;
}
.select2-results__options ul{
  margin-left: 25px;
}
.dropdown-menu{
  background-color: black;
}
.modal .modal-content{
    box-shadow: inset 1px 1px rgba(255, 255, 255, 0.2), inset -1px -1px rgba(255, 255, 255, 0.1), 1px 3px 24px -1px rgba(0, 0, 0, 0.15);
    background-color: transparent;
    background-image: linear-gradient(125deg, rgba(0, 0, 0, 0.9), rgba(100, 100, 100, 0.5) 100%);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
}
.modal .input-group-text{
  padding: 0.75rem 0.5rem
}
.modal .accordion-header>.alert{
  padding: 1rem;
}
.modal .accordion-button{
  box-shadow: none !important;
}
.modal .accordion-button:not(.collapsed){
  background-color: transparent;
}
.modal .accordion-button:not(.collapsed)::after{
  background-color: transparent;
}
.btn-close{
  --bs-btn-close-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414'/%3e%3c/svg%3e");
}



/* Estilos para el slider */
#mainCarousel .carousel-item {
    background: no-repeat center center scroll;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}
#mainCarousel img {
    width: 100%;
    /*aspect-ratio: 16/9;*/
    object-fit: contain;
    object-position: center;
}
#mainCarousel .carousel-caption {
    background-color: rgba(0, 0, 0, 0.5);
    padding: 20px;
    border-radius: 10px;
}
#mainCarousel .carousel-caption h5 {
    font-size: 2rem;
    font-weight: bold;
}
#mainCarousel .carousel-caption p {
    font-size: 1.2rem;
}

/* Extras */
.view-html{
  /*white-space: pre-wrap;*/
  word-wrap: break-word;
}
.view-html img{
  max-width: 100%;
  width: auto;
}
.rating-input .form-check-input{
  width: 25px;
  height: 25px;
}


/* Categorias */
.text-bg-orange {
  background-color: #ff9800 !important;
  color: #000 !important;
}
.text-bg-yellow {
  background-color: #ffeb3b !important;
  color: #000 !important;
}
.text-bg-secondary{
  background-color: #989898 !important;
}
.text-bg-info{
  color: black !important;
}

/* Artistas */
.artist-card.card{
  transition: transform 0.3s ease;
}
.artist-card.card:hover{
  box-shadow: 0 0 15px 0 rgba(255, 255, 255, 0.2);
  cursor: pointer;
}
.artist-card img{
  aspect-ratio: 1/1;
  width: 100%;
  object-fit: cover;
}
.artist-card .card-title{
  font-size: inherit;
  margin-bottom: 0px;
}
.artist-card .card-text{
  margin-bottom: 0px;
}
.img-modal{
  cursor: pointer;
}
.rating.progress {
  position: relative;
}
.rating.progress .bar {
  position: absolute;
  height: 100%;
  width: 2px;
  background-color: #58636f;
  left: 33.333333%;
  border-radius: 5px;
}
.rating.progress .bar2 {
  left: 66.66666666%;
}

/* Slider de Artistas */
.swiper .swiper-wrapper {
  align-items: stretch !important;
}

/* Cada slide se comporta como un contenedor flexible */
.swiper .swiper-slide {
  display: flex;            /* permite que el hijo se estire */
  height: auto;             /* dejá que crezca según contenido */
  width: 220px;
}

/* El <a> debe ocupar toda la altura de la slide */
.swiper .swiper-slide > a {
  display: flex;            /* de inline -> flex */
  flex: 1 1 auto;
  width: 100%;
}

.swiper .artist-card {
  display: flex;
  flex-direction: column;
  flex: 1 1 auto;           /* llena la altura disponible */
}
.swiper-pagination-bullet{background-color: #fff;}
.swiper .swiper-button-nav{
  display: none;
  --swiper-navigation-size: 35px;
  --swiper-navigation-sides-offset: 0px;
  color: #fff;
  background-color: rgba(0, 0, 0, 0.8);
  transition:  0.3s ease;
}
.swiper-button-next, .swiper-rtl .swiper-button-prev{
  padding: 25px 10px 25px 15px;
  border-radius: 5px 0px 0px 5px;
}
.swiper-button-prev, .swiper-rtl .swiper-button-next{
  padding: 25px 15px 25px 10px;
  border-radius: 0px 5px 5px 0px;
}
.swiper .swiper-button-nav:hover{
  transform: scale(1.3);
  background-color: rgba(255, 255, 255, 0.8);
  color: #000;
  padding: 25px 15px;
}
.swiper-pagination{--swiper-pagination-bottom:0px;}

/* Slider secundario */
.img-grayscale {
  filter: grayscale(100%);
  transition: filter 0.5s ease;
}
.img-grayscale:hover {
  filter: grayscale(0%);
}
.carousel_secondary {
  width: 100%;
  overflow: hidden;
}
.carousel-track {
  display: flex;
  width: fit-content;
  animation: scroll 35s linear infinite;
}
.carousel-track img {
  width: 300px;
  height: auto;
  margin-right: 10px;
  flex-shrink: 0;
}
@keyframes scroll {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}
/*
.carousel_secondary:hover .carousel-track {
  animation-play-state: paused;
}
*/


@media (min-width: 576px) {
  /*#mainCarousel img{ aspect-ratio: 13/7; }*/
  .separate{ padding-top: 57px; }
  .fs-7{ font-size: inherit; }
}
@media (min-width: 768px) {
  /*#mainCarousel img{ aspect-ratio: 13/6; }*/
  .swiper .swiper-button-nav{
    display: flex;
  }
  .slider-items .artist-card.card:hover{
    transform: scale(1.03);
  }
}
@media (min-width: 992px) {
  #mainCarousel img{ aspect-ratio: 13/5; }
  #form_search_general .form-control{ padding: 0.75rem 1.5rem; }
}
@media (min-width: 1200px) {
  #mainCarousel img{ aspect-ratio: 13/4; }
}
@media (min-width: 1400px) {
  #mainCarousel img{ aspect-ratio: 12/3; }
}